# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate parking_lot

Name:           rust-%{crate}
Version:        0.6.4
Release:        3%{?dist}
Summary:        Compact and efficient implementations of standard synchronization primitives

# Upstream license specification: Apache-2.0/MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/parking_lot
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No nightly
# * No deadlock_detection in parking_lot_core
Patch0:         parking_lot-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(lock_api/default) >= 0.1.0 with crate(lock_api/default) < 0.2.0)
BuildRequires:  (crate(lock_api/owning_ref) >= 0.1.0 with crate(lock_api/owning_ref) < 0.2.0)
BuildRequires:  (crate(parking_lot_core/default) >= 0.3.0 with crate(parking_lot_core/default) < 0.4.0)
%if %{with check}
BuildRequires:  (crate(rand/default) >= 0.5.0 with crate(rand/default) < 0.6.0)
%endif

%global _description \
More compact and efficient implementations of the standard synchronization\
primitives.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+owning_ref-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+owning_ref-devel %{_description}

This package contains library source intended for building other packages
which use "owning_ref" feature of "%{crate}" crate.

%files       -n %{name}+owning_ref-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.4-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.4-2
- Run tests in infrastructure

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.4-1
- Initial package
